Bug 150695 - Transient windows don't stay on top anymore
Transient windows don't stay on top anymore
Product: Fedora
Classification: Fedora
Component: tcltk (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Bill Huang
Depends On:
  Show dependency treegraph
Reported: 2005-03-09 14:19 EST by Kyle Bateman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-04 00:43:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Demonstrates bug (80 bytes, text/plain)
2005-03-09 14:20 EST, Kyle Bateman
no flags Details

  None (edit)
Description Kyle Bateman 2005-03-09 14:19:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040113

Description of problem:
Before (in Fedora 1), the tk command "wm transient window parent" would cause the window always stay on top of its parent window.  After going to Fedora 3, this command seems to have no effect.

I've tried this on an X server running on Fedora 3, connected to a Fedora 1 box running the tcl/tk program and the bug is NOT manifest.  This is (some) evidence that the problem lies with TK rather than with the new X.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Run the attached wish script

Actual Results:  The toplevel window with the HI button in it (the transient window) does not stay "on top" of the parent window (the blank box).

Expected Results:  The transient window should always stay on top of its parent.  Also, depending on the window manager, the transient should get decorated differently than its parent.  This is not happening either.

Additional info:

This is a big problem for TCL/TK software that creates pop-up menus since they fall back behind their parent.
Comment 1 Kyle Bateman 2005-03-09 14:20:56 EST
Created attachment 111819 [details]
Demonstrates bug
Comment 2 Jens Petersen 2005-10-03 02:51:27 EDT
I'm reproduce this with tk-8.4.11 in FC devel.
How about FC4 which has tk-8.4.9?
Comment 3 Kyle Bateman 2005-10-03 14:11:23 EDT
This post discusses a workaround that worked for me:

Comment 4 Kyle Bateman 2005-10-03 14:14:57 EDT
> How about FC4 which has tk-8.4.9?

I reproduced it on FC4.  Also the workaround (an update before the transient
call) works on FC4.
Comment 5 Jens Petersen 2005-10-04 00:43:39 EDT
Ok, I was testing interactively, which explains why I didn't see it.
However sounds like fixing this might break compatibility.

Note You need to log in before you can comment on or make changes to this bug.